Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.util
Class NodeIterator.ElementFilter

`java.lang.Object
oracle.security.xmlsec.util.NodeIterator.NodeFilter
oracle.security.xmlsec.util.NodeIterator.NodeTypeFilter
oracle.security.xmlsec.util.NodeIterator.ElementFilter`

Enclosing class:
  NodeIterator

public static class NodeIterator.ElementFilter
extends NodeIterator.NodeTypeFilter

Filter that matches element nodes having a given namespace URI and local name.

Since:
  2.0
See Also:
  `NodeIterator.NodeIterator(Collection c, String nsURI, String localName)`

Constructor Summary
`NodeIterator.ElementFilter(java.lang.String nsURI, java.lang.String localName)` Creates a new `NodeFilter` that matches only `Element` nodes with the given namespace URI and local name.

Method Summary
`boolean` | `matches(org.w3c.dom.Node node)` Returns `true` if the given node should be returned by the iterator, otherwise returns `false`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeIterator.ElementFilter

    public NodeIterator.ElementFilter(java.lang.String nsURI,
                                      java.lang.String localName)

  Creates a new `NodeFilter` that matches only `Element` nodes with the given namespace URI and local name.
Parameters:
  `nsURI` - The namespace URI of the elements to be matched.
  `localName` - The local name of the elements to be matched.

Method Detail

### matches

    public boolean matches(org.w3c.dom.Node node)

  Description copied from class: `NodeIterator.NodeFilter`
  Returns `true` if the given node should be returned by the iterator, otherwise returns `false`.
  Overrides:
    `matches` in class `NodeIterator.NodeTypeFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.